﻿/**Begin D:\PDM_UPGRADE\PDM1\AM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AM_BUSINESSMATTERS', 'T_AM_BUSINESSMATTERS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_BUSINESSMATTERS_0') CREATE INDEX IDX_T_AM_BUSINESSMATTERS_0 ON T_AM_BUSINESSMATTERS ( FENABLE );


 EXEC P_ALTERPK 'PK_T_AM_BUSINESSMATTERS_L', 'T_AM_BUSINESSMATTERS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BUSINESSMATTERS_L_0') CREATE INDEX IDX_AM_BUSINESSMATTERS_L_0 ON T_AM_BUSINESSMATTERS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_BD_ACCOUNTBANKS_F', 'T_BD_ACCOUNTBANKS_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ABF_0') CREATE INDEX IDX_ABF_0 ON T_BD_ACCOUNTBANKS_F ( FMASTERACCOUNTID );


 EXEC P_ALTERPK 'PK_T_AM_BANKACCOUNT_POS', 'T_AM_BANKACCOUNT_POS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BANKACCOUNT_POS_0') CREATE INDEX IDX_AM_BANKACCOUNT_POS_0 ON T_AM_BANKACCOUNT_POS ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCOUNTBANKS_PER', 'T_AM_ACCOUNTBANKS_PER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ABS_PER_0') CREATE INDEX IDX_AM_ABS_PER_0 ON T_AM_ACCOUNTBANKS_PER ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCOUNTBANKS_SIG', 'T_AM_ACCOUNTBANKS_SIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ABS_SIG_0') CREATE INDEX IDX_AM_ABS_SIG_0 ON T_AM_ACCOUNTBANKS_SIG ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCOPENBILL_POS', 'T_AM_ACCOPENBILL_POS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ACCOPENBILL_POS_0') CREATE INDEX IDX_AM_ACCOPENBILL_POS_0 ON T_AM_ACCOPENBILL_POS ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCOPENBILL_PER', 'T_AM_ACCOPENBILL_PER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_AOB_PER_0') CREATE INDEX IDX_AM_AOB_PER_0 ON T_AM_ACCOPENBILL_PER ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCOPENBILL_SIG', 'T_AM_ACCOPENBILL_SIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_AOB_SIG_0') CREATE INDEX IDX_AM_AOB_SIG_0 ON T_AM_ACCOPENBILL_SIG ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCOPENBILL_F', 'T_AM_ACCOPENBILL_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_APF_0') CREATE INDEX IDX_APF_0 ON T_AM_ACCOPENBILL_F ( FMASTERACCOUNTID );


 EXEC P_ALTERPK 'PK_T_AM_ACCTCLOSEBILL_SIG', 'T_AM_ACCTCLOSEBILL_SIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_CB_SIG_0') CREATE INDEX IDX_AM_CB_SIG_0 ON T_AM_ACCTCLOSEBILL_SIG ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ACCTCLOSEBILL_PER', 'T_AM_ACCTCLOSEBILL_PER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ACB_PER_0') CREATE INDEX IDX_AM_ACB_PER_0 ON T_AM_ACCTCLOSEBILL_PER ( FID );


 EXEC P_ALTERPK 'PK_T_AM_CHANGEAPPLY_SIG', 'T_AM_CHANGEAPPLY_SIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_CAP_SIG_0') CREATE INDEX IDX_AM_CAP_SIG_0 ON T_AM_CHANGEAPPLY_SIG ( FID );


 EXEC P_ALTERPK 'PK_T_AM_CHANGEAPPLY_PER', 'T_AM_CHANGEAPPLY_PER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_CP_PER_0') CREATE INDEX IDX_AM_CP_PER_0 ON T_AM_CHANGEAPPLY_PER ( FID );


 EXEC P_ALTERPK 'PK_T_AM_CHANGEAPPLY_F', 'T_AM_CHANGEAPPLY_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_CHANGEAPPLYF_0') CREATE INDEX IDX_AM_CHANGEAPPLYF_0 ON T_AM_CHANGEAPPLY_F ( FMASTERACCOUNTID );



/**End D:\PDM_UPGRADE\PDM1\AM_constraint.sql **/
